%define section   free
%define base_name slide

Name:           jakarta-%{base_name}-webdavclient
Version:        2.0
Release:        1jpp
Epoch:          0
Summary:        Slide WebDAV client

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/slide/
Source0:        http://archive.apache.org/dist/jakarta/slide/source/jakarta-slide-webdavclient-src-2.0.tar.gz
Source1:        %{name}.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} )
Distribution:   JPackage
Vendor:         JPackage Project
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32, jakarta-commons-httpclient
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
Requires:       antlr, jakarta-commons-httpclient, jpackage-utils

%description
Slide includes a fully featured WebDAV client library and command line
client.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.


%prep
%setup -q -n %{name}-src-%{version}
find . -name "*.jar" -exec rm {} \;


%build
export CLASSPATH=$(build-classpath antlr jakarta-commons-httpclient)
ant -Dbuild.sysclasspath=first


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/webdavclient

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{base_name}
install -Dpm 644 \
 dist/lib/jakarta-slide-webdavlib-%{version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-webdavlib-%{version}.jar
install -Dpm 644 \
 dist/lib/jakarta-slide-commandline-%{version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-commandline-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{base_name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{base_name} && for jar in jakarta-*.jar; do ln -sf ${jar} `echo $jar| sed  "s|jakarta-||g"`; done)

#javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/doc/clientjavadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_javadir}/%{base_name}/*.jar
%{_bindir}/webdavclient

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Tue Jul  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0-1jpp
- Update to 2.0.
- Add commons-logging to startup script's classpath.

* Wed Mar 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0-0.b1.2jpp
- Fix build and runtime dependencies.
- Install a working startup script.

* Fri Mar 04 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.0-0.b1.1jpp
- First JPackage release
